package com.jkcredit.invoice.hub.model.dto.apiCarFree;

import com.alibaba.fastjson.JSONArray;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/18 17:00
 * @version: V1.0
 **/
@Data
public class InvoiceResultDtoTest implements Serializable {
    private static final long serialVersionUID = -9058540201622141462L;
    private String info;
    private String receiveTime;
    private String plateNum;
    private Integer vehicleType;
    private String waybillNum;
    private Integer waybillStatus;
    private String waybillStartTime;
    private String waybillEndTime;
    private JSONArray result;

    @Data
    public class Result implements Serializable {
        private static final long serialVersionUID = 4254312516969121303L;
        // 发票号码
        private String invoiceNum;

        // 发票代码
        private String invoiceCode;

        // 开票时间
        private String invoiceMakeTime;

        // 下载地址
        private String invoiceUrl;

        // 发票模板url
        private String invoiceHtmlUrl;

        // 入口收费站
        private String enStation;

        // 出口收费站
        private String exStation;

        // 交易时间
        private String exTime;

        // 交易金额
        private Long fee;

        // 税额
        private Long totalTaxAmount;

        // 车牌号
        private String plateNum;

        // 车型
        private int vehicleType;

        // 运单编号
        private String waybillNum;

        // 运单状态
        private int waybillStatus;

        // 运单开始时间
        private String waybillStartTime;

        // 运单结束时间
        private String waybillEndTime;

        // 价税合计
        private Long totalAmount;

        // 税率
        private double taxRate;

        // 发票种类
        private String invoiceType;

        // 金额
        private Long amount;

        // 销方名称
        private String sellerName;

        // 销方税号
        private String sellerTaxpayerCode;

        // 交易id
        private String transactionId;

        // 交易匹配时间
        private String tradeMatchTime;

        // 购方名称
        private String buyerName;

        // 购方税号
        private String buyerTaxpayerCode;
    }

}
